Moroccan DST time change needs upgrade after being extended

Bug #1233054 reported by Mehdi EL AOUFIR on 2013-09-30
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Iain Lane
Precise
Undecided
Iain Lane
Quantal
Undecided
Iain Lane
Raring
Undecided
Iain Lane

Bug Description

[ Description ]

Regular tzdata update fixing incorrect dates for Morocco currently in effect.

[ QA ]

Before:

laney@raleigh> TZ=Africa/Casablanca date
Tue Oct 8 09:43:15 WET 2013
laney@raleigh> zdump -v /usr/share/zoneinfo/Africa/Casablanca| grep 2013 | grep isdst
/usr/share/zoneinfo/Africa/Casablanca Sun Apr 28 01:59:59 2013 UTC = Sun Apr 28 01:59:59 2013 WET isdst=0 gmtoff=0
/usr/share/zoneinfo/Africa/Casablanca Sun Apr 28 02:00:00 2013 UTC = Sun Apr 28 03:00:00 2013 WEST isdst=1 gmtoff=3600
/usr/share/zoneinfo/Africa/Casablanca Sun Jul 7 01:59:59 2013 UTC = Sun Jul 7 02:59:59 2013 WEST isdst=1 gmtoff=3600
/usr/share/zoneinfo/Africa/Casablanca Sun Jul 7 02:00:00 2013 UTC = Sun Jul 7 02:00:00 2013 WET isdst=0 gmtoff=0
/usr/share/zoneinfo/Africa/Casablanca Sat Aug 10 01:59:59 2013 UTC = Sat Aug 10 01:59:59 2013 WET isdst=0 gmtoff=0
/usr/share/zoneinfo/Africa/Casablanca Sat Aug 10 02:00:00 2013 UTC = Sat Aug 10 03:00:00 2013 WEST isdst=1 gmtoff=3600
/usr/share/zoneinfo/Africa/Casablanca Sun Sep 29 01:59:59 2013 UTC = Sun Sep 29 02:59:59 2013 WEST isdst=1 gmtoff=3600
/usr/share/zoneinfo/Africa/Casablanca Sun Sep 29 02:00:00 2013 UTC = Sun Sep 29 02:00:00 2013 WET isdst=0 gmtoff=0

After:

laney@raleigh> TZ=Africa/Casablanca date
Tue Oct 8 10:45:03 WEST 2013
laney@raleigh> zdump -v /usr/share/zoneinfo/Africa/Casablanca | grep 2013 | grep isdst
/usr/share/zoneinfo/Africa/Casablanca Sun Apr 28 01:59:59 2013 UTC = Sun Apr 28 01:59:59 2013 WET isdst=0 gmtoff=0
/usr/share/zoneinfo/Africa/Casablanca Sun Apr 28 02:00:00 2013 UTC = Sun Apr 28 03:00:00 2013 WEST isdst=1 gmtoff=3600
/usr/share/zoneinfo/Africa/Casablanca Sun Jul 7 01:59:59 2013 UTC = Sun Jul 7 02:59:59 2013 WEST isdst=1 gmtoff=3600
/usr/share/zoneinfo/Africa/Casablanca Sun Jul 7 02:00:00 2013 UTC = Sun Jul 7 02:00:00 2013 WET isdst=0 gmtoff=0
/usr/share/zoneinfo/Africa/Casablanca Sat Aug 10 01:59:59 2013 UTC = Sat Aug 10 01:59:59 2013 WET isdst=0 gmtoff=0
/usr/share/zoneinfo/Africa/Casablanca Sat Aug 10 02:00:00 2013 UTC = Sat Aug 10 03:00:00 2013 WEST isdst=1 gmtoff=3600
/usr/share/zoneinfo/Africa/Casablanca Sun Oct 27 01:59:59 2013 UTC = Sun Oct 27 02:59:59 2013 WEST isdst=1 gmtoff=3600
/usr/share/zoneinfo/Africa/Casablanca Sun Oct 27 02:00:00 2013 UTC = Sun Oct 27 02:00:00 2013 WET isdst=0 gmtoff=0

[ Original Report ]

Hi,

As of government decision in saturday sep 28th. Moroccan daylight saving time was extended to october 27th 2013.

More info here :

http://www.timeanddate.com/worldclock/clockchange.html?n=60

Thanks a lot

Change for the release of tzcode2013g and tzdata2013g:
https://github.com/eggert/tz/commit/320239cf816c3ea27583867d195085df58a29899

Iain Lane (laney) on 2013-10-08
Changed in tzdata (Ubuntu):
status: New → Fix Released
Changed in tzdata (Ubuntu Lucid):
status: New → In Progress
Changed in tzdata (Ubuntu Precise):
status: New → In Progress
Changed in tzdata (Ubuntu Quantal):
status: New → In Progress
Changed in tzdata (Ubuntu Raring):
status: New → In Progress
Changed in tzdata (Ubuntu Lucid):
assignee: nobody → Iain Lane (laney)
Changed in tzdata (Ubuntu Precise):
assignee: nobody → Iain Lane (laney)
Changed in tzdata (Ubuntu Quantal):
assignee: nobody → Iain Lane (laney)
Changed in tzdata (Ubuntu Raring):
assignee: nobody → Iain Lane (laney)
Iain Lane (laney) wrote :

All uploaded to SRU queues.

description: updated

Hello Mehdi, or anyone else affected,

Accepted tzdata into lucid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/tzdata/2013g-0ubuntu0.10.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in tzdata (Ubuntu Lucid):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in tzdata (Ubuntu Precise):
status: In Progress → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Mehdi, or anyone else affected,

Accepted tzdata into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/tzdata/2013g-0ubuntu0.12.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in tzdata (Ubuntu Quantal):
status: In Progress → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Mehdi, or anyone else affected,

Accepted tzdata into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/tzdata/2013g-0ubuntu0.12.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in tzdata (Ubuntu Raring):
status: In Progress → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Mehdi, or anyone else affected,

Accepted tzdata into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/tzdata/2013g-0ubuntu0.13.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Mehdi EL AOUFIR (melaoufir) wrote :

The following proposed package successfully worked for me :

2013g-0ubuntu0.12.04

Thanks a lot!

Iain Lane (laney) on 2013-10-08
tags: added: verification-done-precise
Mehdi EL AOUFIR (melaoufir) wrote :

Hi Ubuntu Community,

Now that the fix was commited and verified for Ubuntu 12.04, what can i do so the fix could be released to production for this specific version (Precise) ?

FIY, Morocco DST ends in 27-oct .

Thanks again for the hard work

Iain Lane (laney) wrote :

Verified Lucid, Quantal & Raring

tags: added: verification-done
removed: dst verification-done-precise verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2013g-0ubuntu0.10.04

---------------
tzdata (2013g-0ubuntu0.10.04) lucid; urgency=low

  * New upstream release
    - Fixes DST dates for Morocco (LP: #1233054)
 -- Iain Lane <email address hidden> Tue, 08 Oct 2013 10:32:05 +0100

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2013g-0ubuntu0.12.04

---------------
tzdata (2013g-0ubuntu0.12.04) precise; urgency=low

  * New upstream release
    - Fixes DST dates for Morocco (LP: #1233054)
 -- Iain Lane <email address hidden> Tue, 08 Oct 2013 10:12:43 +0100

Changed in tzdata (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2013g-0ubuntu0.12.10

---------------
tzdata (2013g-0ubuntu0.12.10) quantal; urgency=low

  * New upstream release
    - Fixes DST dates in Morocco (LP: #1233054)
 -- Iain Lane <email address hidden> Tue, 08 Oct 2013 10:15:42 +0100

Changed in tzdata (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2013g-0ubuntu0.13.04

---------------
tzdata (2013g-0ubuntu0.13.04) raring; urgency=low

  * New upstream release
    - Fixes DST dates in Morocco (LP: #1233054)
 -- Iain Lane <email address hidden> Tue, 08 Oct 2013 10:15:43 +0100

Changed in tzdata (Ubuntu Raring):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers